Index: /branches/HeuristicLab.GoalSeekingProblem/HeuristicLab.GoalSeekingProblem.Views/3.4/GoalParameterView.Designer.cs
===================================================================
--- /branches/HeuristicLab.GoalSeekingProblem/HeuristicLab.GoalSeekingProblem.Views/3.4/GoalParameterView.Designer.cs	(revision 14333)
+++ /branches/HeuristicLab.GoalSeekingProblem/HeuristicLab.GoalSeekingProblem.Views/3.4/GoalParameterView.Designer.cs	(revision 14333)
@@ -0,0 +1,175 @@
+﻿namespace HeuristicLab.GoalSeeking.Views {
+  partial class GoalSeekingTargetView {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.components = new System.ComponentModel.Container();
+      this.groupBox = new System.Windows.Forms.GroupBox();
+      this.activeCheckBox = new System.Windows.Forms.CheckBox();
+      this.stepTextBox = new System.Windows.Forms.TextBox();
+      this.varianceTextBox = new System.Windows.Forms.TextBox();
+      this.weightTextBox = new System.Windows.Forms.TextBox();
+      this.goalTextBox = new System.Windows.Forms.TextBox();
+      this.stepLabel = new System.Windows.Forms.Label();
+      this.varianceLabel = new System.Windows.Forms.Label();
+      this.weightLabel = new System.Windows.Forms.Label();
+      this.goalLabel = new System.Windows.Forms.Label();
+      this.errorProvider = new System.Windows.Forms.ErrorProvider(this.components);
+      this.groupBox.SuspendLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit();
+      this.SuspendLayout();
+      // 
+      // groupBox
+      // 
+      this.groupBox.Controls.Add(this.activeCheckBox);
+      this.groupBox.Controls.Add(this.stepTextBox);
+      this.groupBox.Controls.Add(this.varianceTextBox);
+      this.groupBox.Controls.Add(this.weightTextBox);
+      this.groupBox.Controls.Add(this.goalTextBox);
+      this.groupBox.Controls.Add(this.stepLabel);
+      this.groupBox.Controls.Add(this.varianceLabel);
+      this.groupBox.Controls.Add(this.weightLabel);
+      this.groupBox.Controls.Add(this.goalLabel);
+      this.groupBox.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.groupBox.Location = new System.Drawing.Point(0, 0);
+      this.groupBox.Name = "groupBox";
+      this.groupBox.Size = new System.Drawing.Size(205, 148);
+      this.groupBox.TabIndex = 0;
+      this.groupBox.TabStop = false;
+      this.groupBox.Text = "Target";
+      // 
+      // activeCheckBox
+      // 
+      this.activeCheckBox.AutoSize = true;
+      this.activeCheckBox.Location = new System.Drawing.Point(6, 19);
+      this.activeCheckBox.Name = "activeCheckBox";
+      this.activeCheckBox.Size = new System.Drawing.Size(56, 17);
+      this.activeCheckBox.TabIndex = 2;
+      this.activeCheckBox.Text = "Active";
+      this.activeCheckBox.UseVisualStyleBackColor = true;
+      this.activeCheckBox.CheckedChanged += new System.EventHandler(this.activeCheckBox_CheckedChanged);
+      // 
+      // stepTextBox
+      // 
+      this.stepTextBox.Location = new System.Drawing.Point(100, 122);
+      this.stepTextBox.Name = "stepTextBox";
+      this.stepTextBox.Size = new System.Drawing.Size(100, 20);
+      this.stepTextBox.TabIndex = 1;
+      this.stepTextBox.TextChanged += new System.EventHandler(this.stepTextBox_TextChanged);
+      // 
+      // varianceTextBox
+      // 
+      this.varianceTextBox.Location = new System.Drawing.Point(100, 96);
+      this.varianceTextBox.Name = "varianceTextBox";
+      this.varianceTextBox.Size = new System.Drawing.Size(100, 20);
+      this.varianceTextBox.TabIndex = 1;
+      this.varianceTextBox.TextChanged += new System.EventHandler(this.varianceTextBox_TextChanged);
+      // 
+      // weightTextBox
+      // 
+      this.weightTextBox.Location = new System.Drawing.Point(100, 70);
+      this.weightTextBox.Name = "weightTextBox";
+      this.weightTextBox.Size = new System.Drawing.Size(100, 20);
+      this.weightTextBox.TabIndex = 1;
+      this.weightTextBox.TextChanged += new System.EventHandler(this.weightTextBox_TextChanged);
+      this.weightTextBox.Validating += new System.ComponentModel.CancelEventHandler(this.TextBoxValidating);
+      this.weightTextBox.Validated += new System.EventHandler(this.TextBoxValidated);
+      // 
+      // goalTextBox
+      // 
+      this.goalTextBox.Location = new System.Drawing.Point(100, 44);
+      this.goalTextBox.Name = "goalTextBox";
+      this.goalTextBox.Size = new System.Drawing.Size(100, 20);
+      this.goalTextBox.TabIndex = 1;
+      this.goalTextBox.TextChanged += new System.EventHandler(this.goalTextBox_TextChanged);
+      this.goalTextBox.Validating += new System.ComponentModel.CancelEventHandler(this.TextBoxValidating);
+      this.goalTextBox.Validated += new System.EventHandler(this.TextBoxValidated);
+      // 
+      // stepLabel
+      // 
+      this.stepLabel.AutoSize = true;
+      this.stepLabel.Location = new System.Drawing.Point(6, 125);
+      this.stepLabel.Name = "stepLabel";
+      this.stepLabel.Size = new System.Drawing.Size(29, 13);
+      this.stepLabel.TabIndex = 0;
+      this.stepLabel.Text = "Step";
+      // 
+      // varianceLabel
+      // 
+      this.varianceLabel.AutoSize = true;
+      this.varianceLabel.Location = new System.Drawing.Point(6, 99);
+      this.varianceLabel.Name = "varianceLabel";
+      this.varianceLabel.Size = new System.Drawing.Size(49, 13);
+      this.varianceLabel.TabIndex = 0;
+      this.varianceLabel.Text = "Variance";
+      // 
+      // weightLabel
+      // 
+      this.weightLabel.AutoSize = true;
+      this.weightLabel.Location = new System.Drawing.Point(6, 73);
+      this.weightLabel.Name = "weightLabel";
+      this.weightLabel.Size = new System.Drawing.Size(41, 13);
+      this.weightLabel.TabIndex = 0;
+      this.weightLabel.Text = "Weight";
+      // 
+      // goalLabel
+      // 
+      this.goalLabel.AutoSize = true;
+      this.goalLabel.Location = new System.Drawing.Point(6, 47);
+      this.goalLabel.Name = "goalLabel";
+      this.goalLabel.Size = new System.Drawing.Size(29, 13);
+      this.goalLabel.TabIndex = 0;
+      this.goalLabel.Text = "Goal";
+      // 
+      // errorProvider
+      // 
+      this.errorProvider.ContainerControl = this;
+      // 
+      // GoalSeekingTargetView
+      // 
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Inherit;
+      this.Controls.Add(this.groupBox);
+      this.Name = "GoalSeekingTargetView";
+      this.Size = new System.Drawing.Size(205, 148);
+      this.groupBox.ResumeLayout(false);
+      this.groupBox.PerformLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).EndInit();
+      this.ResumeLayout(false);
+
+    }
+
+    #endregion
+
+    private System.Windows.Forms.GroupBox groupBox;
+    private System.Windows.Forms.Label goalLabel;
+    private System.Windows.Forms.Label stepLabel;
+    private System.Windows.Forms.Label varianceLabel;
+    private System.Windows.Forms.Label weightLabel;
+    private System.Windows.Forms.TextBox stepTextBox;
+    private System.Windows.Forms.TextBox varianceTextBox;
+    private System.Windows.Forms.TextBox weightTextBox;
+    private System.Windows.Forms.TextBox goalTextBox;
+    private System.Windows.Forms.CheckBox activeCheckBox;
+    private System.Windows.Forms.ErrorProvider errorProvider;
+  }
+}
Index: /branches/HeuristicLab.GoalSeekingProblem/HeuristicLab.GoalSeekingProblem.Views/3.4/GoalParameterView.cs
===================================================================
--- /branches/HeuristicLab.GoalSeekingProblem/HeuristicLab.GoalSeekingProblem.Views/3.4/GoalParameterView.cs	(revision 14333)
+++ /branches/HeuristicLab.GoalSeekingProblem/HeuristicLab.GoalSeekingProblem.Views/3.4/GoalParameterView.cs	(revision 14333)
@@ -0,0 +1,115 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.ComponentModel;
+using System.Globalization;
+using System.Windows.Forms;
+using HeuristicLab.MainForm;
+using HeuristicLab.MainForm.WindowsForms;
+
+namespace HeuristicLab.GoalSeeking.Views {
+  [View("GoalSeekingTarget View", "")]
+  [Content(typeof(GoalParameter), true)]
+  public partial class GoalSeekingTargetView : AsynchronousContentView {
+    public new GoalParameter Content {
+      get { return (GoalParameter)base.Content; }
+      set { base.Content = value; }
+    }
+
+    public GoalSeekingTargetView() {
+      InitializeComponent();
+    }
+
+    protected override void OnContentChanged() {
+      base.OnContentChanged();
+      if (Content != null) {
+        groupBox.Text = Content.Name;
+        goalTextBox.Text = Content.Goal.ToString(CultureInfo.CurrentCulture);
+        weightTextBox.Text = Content.Weight.ToString(CultureInfo.CurrentCulture);
+        varianceTextBox.Text = Content.Variance.ToString(CultureInfo.CurrentCulture);
+        stepTextBox.Text = Content.Step.ToString(CultureInfo.CurrentCulture);
+        activeCheckBox.Checked = Content.Active;
+        Content.Changed += Content_Changed;
+      }
+    }
+
+    private void Content_Changed(object sender, EventArgs args) {
+      groupBox.Text = Content.Name;
+      goalTextBox.Text = Content.Goal.ToString(CultureInfo.CurrentCulture);
+      weightTextBox.Text = Content.Weight.ToString(CultureInfo.CurrentCulture);
+      varianceTextBox.Text = Content.Variance.ToString(CultureInfo.CurrentCulture);
+      stepTextBox.Text = Content.Step.ToString(CultureInfo.CurrentCulture);
+      activeCheckBox.Checked = Content.Active;
+    }
+
+    #region event handlers
+    private void TextBoxValidating(object sender, CancelEventArgs e) {
+      double v;
+      string errorMsg = "Could not parse the entered value. Please input a real number.";
+      var tb = (TextBox)sender;
+      if (!double.TryParse(tb.Text, out v)) {
+        e.Cancel = true;
+        tb.Select(0, tb.Text.Length);
+
+        // Set the ErrorProvider error with the text to display. 
+        this.errorProvider.SetError(tb, errorMsg);
+        errorProvider.BlinkStyle = ErrorBlinkStyle.NeverBlink;
+        errorProvider.SetIconPadding(tb, -20);
+      }
+    }
+
+    private void TextBoxValidated(object sender, EventArgs e) {
+      var tb = (TextBox)sender;
+      errorProvider.SetError(tb, string.Empty);
+    }
+
+    private void activeCheckBox_CheckedChanged(object sender, System.EventArgs e) {
+      Content.Active = activeCheckBox.Checked;
+      goalTextBox.Enabled = weightTextBox.Enabled = stepTextBox.Enabled = varianceTextBox.Enabled = Content.Active;
+    }
+
+    private void goalTextBox_TextChanged(object sender, EventArgs e) {
+      double goal;
+      if (double.TryParse(goalTextBox.Text, out goal))
+        Content.Goal = goal;
+    }
+
+    private void weightTextBox_TextChanged(object sender, EventArgs e) {
+      double weight;
+      if (double.TryParse(weightTextBox.Text, out weight))
+        Content.Weight = weight;
+    }
+
+    private void varianceTextBox_TextChanged(object sender, EventArgs e) {
+      double variance;
+      if (double.TryParse(varianceTextBox.Text, out variance))
+        Content.Variance = variance;
+    }
+
+    private void stepTextBox_TextChanged(object sender, System.EventArgs e) {
+      double step;
+      if (double.TryParse(stepTextBox.Text, out step))
+        Content.Step = step;
+    }
+    #endregion
+  }
+}
Index: /branches/HeuristicLab.GoalSeekingProblem/HeuristicLab.GoalSeekingProblem.Views/3.4/GoalSeekingProblem.Views.csproj
===================================================================
--- /branches/HeuristicLab.GoalSeekingProblem/HeuristicLab.GoalSeekingProblem.Views/3.4/GoalSeekingProblem.Views.csproj	(revision 14333)
+++ /branches/HeuristicLab.GoalSeekingProblem/HeuristicLab.GoalSeekingProblem.Views/3.4/GoalSeekingProblem.Views.csproj	(revision 14333)
@@ -0,0 +1,107 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project ToolsVersion="14.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
+  <PropertyGroup>
+    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
+    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
+    <ProjectGuid>{B0CBFF1B-6A06-4DDA-B622-E847B8ADC908}</ProjectGuid>
+    <OutputType>Library</OutputType>
+    <AppDesignerFolder>Properties</AppDesignerFolder>
+    <RootNamespace>HeuristicLab.GoalSeekingProblem.Views</RootNamespace>
+    <AssemblyName>HeuristicLab.GoalSeekingProblem.Views-3.4</AssemblyName>
+    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <FileAlignment>512</FileAlignment>
+    <TargetFrameworkProfile />
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
+    <DebugSymbols>true</DebugSymbols>
+    <DebugType>full</DebugType>
+    <Optimize>false</Optimize>
+    <OutputPath>..\..\..\..\trunk\sources\bin\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
+    <DebugType>pdbonly</DebugType>
+    <Optimize>true</Optimize>
+    <OutputPath>..\..\..\..\trunk\sources\bin\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <ItemGroup>
+    <Reference Include="HeuristicLab.Common-3.3">
+      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.Common-3.3.dll</HintPath>
+      <Private>False</Private>
+    </Reference>
+    <Reference Include="HeuristicLab.Core-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.Core-3.3.dll</HintPath>
+      <Private>False</Private>
+    </Reference>
+    <Reference Include="HeuristicLab.MainForm-3.3">
+      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.MainForm-3.3.dll</HintPath>
+      <Private>False</Private>
+    </Reference>
+    <Reference Include="HeuristicLab.MainForm.WindowsForms-3.3">
+      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.MainForm.WindowsForms-3.3.dll</HintPath>
+      <Private>False</Private>
+    </Reference>
+    <Reference Include="HeuristicLab.PluginInfrastructure-3.3">
+      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.PluginInfrastructure-3.3.dll</HintPath>
+      <Private>False</Private>
+    </Reference>
+    <Reference Include="System" />
+    <Reference Include="System.Core" />
+    <Reference Include="System.Drawing" />
+    <Reference Include="System.Windows.Forms" />
+    <Reference Include="System.Xml.Linq" />
+    <Reference Include="System.Data.DataSetExtensions" />
+    <Reference Include="Microsoft.CSharp" />
+    <Reference Include="System.Data" />
+    <Reference Include="System.Net.Http" />
+    <Reference Include="System.Xml" />
+  </ItemGroup>
+  <ItemGroup>
+    <Compile Include="InputParameterView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="InputParameterView.Designer.cs">
+      <DependentUpon>InputParameterView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="GoalParameterView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="GoalParameterView.Designer.cs">
+      <DependentUpon>GoalParameterView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Plugin.cs" />
+    <Compile Include="Properties\AssemblyInfo.cs" />
+  </ItemGroup>
+  <ItemGroup>
+    <ProjectReference Include="..\..\HeuristicLab.GoalSeekingProblem\3.4\GoalSeekingProblem.csproj">
+      <Project>{79271bc8-4446-40e2-bb89-9be4e17174fe}</Project>
+      <Name>GoalSeekingProblem</Name>
+    </ProjectReference>
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="Plugin.cs.frame" />
+  </ItemGroup>
+  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
+  <PropertyGroup>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
+  </PropertyGroup>
+  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
+       Other similar extension points exist, see Microsoft.Common.targets.
+  <Target Name="BeforeBuild">
+  </Target>
+  <Target Name="AfterBuild">
+  </Target>
+  -->
+</Project>
Index: /branches/HeuristicLab.GoalSeekingProblem/HeuristicLab.GoalSeekingProblem.Views/3.4/InputParameterView.Designer.cs
===================================================================
--- /branches/HeuristicLab.GoalSeekingProblem/HeuristicLab.GoalSeekingProblem.Views/3.4/InputParameterView.Designer.cs	(revision 14333)
+++ /branches/HeuristicLab.GoalSeekingProblem/HeuristicLab.GoalSeekingProblem.Views/3.4/InputParameterView.Designer.cs	(revision 14333)
@@ -0,0 +1,180 @@
+﻿namespace HeuristicLab.GoalSeeking.Views {
+  partial class GoalSeekingParameterView {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.components = new System.ComponentModel.Container();
+      this.groupBox = new System.Windows.Forms.GroupBox();
+      this.activeCheckBox = new System.Windows.Forms.CheckBox();
+      this.valueTextBox = new System.Windows.Forms.TextBox();
+      this.stepTextBox = new System.Windows.Forms.TextBox();
+      this.maxTextBox = new System.Windows.Forms.TextBox();
+      this.valueLabel = new System.Windows.Forms.Label();
+      this.minTextBox = new System.Windows.Forms.TextBox();
+      this.stepLabel = new System.Windows.Forms.Label();
+      this.maximumLabel = new System.Windows.Forms.Label();
+      this.minimumLabel = new System.Windows.Forms.Label();
+      this.errorProvider = new System.Windows.Forms.ErrorProvider(this.components);
+      this.groupBox.SuspendLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit();
+      this.SuspendLayout();
+      // 
+      // groupBox
+      // 
+      this.groupBox.Controls.Add(this.activeCheckBox);
+      this.groupBox.Controls.Add(this.valueTextBox);
+      this.groupBox.Controls.Add(this.stepTextBox);
+      this.groupBox.Controls.Add(this.maxTextBox);
+      this.groupBox.Controls.Add(this.valueLabel);
+      this.groupBox.Controls.Add(this.minTextBox);
+      this.groupBox.Controls.Add(this.stepLabel);
+      this.groupBox.Controls.Add(this.maximumLabel);
+      this.groupBox.Controls.Add(this.minimumLabel);
+      this.groupBox.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.groupBox.Location = new System.Drawing.Point(0, 0);
+      this.groupBox.Name = "groupBox";
+      this.groupBox.Size = new System.Drawing.Size(204, 149);
+      this.groupBox.TabIndex = 1;
+      this.groupBox.TabStop = false;
+      this.groupBox.Text = "Parameter";
+      // 
+      // activeCheckBox
+      // 
+      this.activeCheckBox.AutoSize = true;
+      this.activeCheckBox.Location = new System.Drawing.Point(6, 19);
+      this.activeCheckBox.Name = "activeCheckBox";
+      this.activeCheckBox.Size = new System.Drawing.Size(56, 17);
+      this.activeCheckBox.TabIndex = 2;
+      this.activeCheckBox.Text = "Active";
+      this.activeCheckBox.UseVisualStyleBackColor = true;
+      this.activeCheckBox.CheckedChanged += new System.EventHandler(this.activeCheckBox_CheckedChanged);
+      // 
+      // valueTextBox
+      // 
+      this.valueTextBox.Location = new System.Drawing.Point(98, 122);
+      this.valueTextBox.Name = "valueTextBox";
+      this.valueTextBox.Size = new System.Drawing.Size(100, 20);
+      this.valueTextBox.TabIndex = 1;
+      this.valueTextBox.TextChanged += new System.EventHandler(this.valueTextBox_TextChanged);
+      this.valueTextBox.Validating += new System.ComponentModel.CancelEventHandler(this.TextBoxValidating);
+      this.valueTextBox.Validated += new System.EventHandler(this.TextBoxValidated);
+      // 
+      // stepTextBox
+      // 
+      this.stepTextBox.Location = new System.Drawing.Point(98, 96);
+      this.stepTextBox.Name = "stepTextBox";
+      this.stepTextBox.Size = new System.Drawing.Size(100, 20);
+      this.stepTextBox.TabIndex = 1;
+      this.stepTextBox.TextChanged += new System.EventHandler(this.stepTextBox_TextChanged);
+      this.stepTextBox.Validating += new System.ComponentModel.CancelEventHandler(this.TextBoxValidating);
+      this.stepTextBox.Validated += new System.EventHandler(this.TextBoxValidated);
+      // 
+      // maxTextBox
+      // 
+      this.maxTextBox.Location = new System.Drawing.Point(98, 70);
+      this.maxTextBox.Name = "maxTextBox";
+      this.maxTextBox.Size = new System.Drawing.Size(100, 20);
+      this.maxTextBox.TabIndex = 1;
+      this.maxTextBox.TextChanged += new System.EventHandler(this.maxTextBox_TextChanged);
+      this.maxTextBox.Validating += new System.ComponentModel.CancelEventHandler(this.TextBoxValidating);
+      this.maxTextBox.Validated += new System.EventHandler(this.TextBoxValidated);
+      // 
+      // valueLabel
+      // 
+      this.valueLabel.AutoSize = true;
+      this.valueLabel.Location = new System.Drawing.Point(4, 125);
+      this.valueLabel.Name = "valueLabel";
+      this.valueLabel.Size = new System.Drawing.Size(34, 13);
+      this.valueLabel.TabIndex = 0;
+      this.valueLabel.Text = "Value";
+      // 
+      // minTextBox
+      // 
+      this.minTextBox.Location = new System.Drawing.Point(98, 44);
+      this.minTextBox.Name = "minTextBox";
+      this.minTextBox.Size = new System.Drawing.Size(100, 20);
+      this.minTextBox.TabIndex = 1;
+      this.minTextBox.TextChanged += new System.EventHandler(this.minTextBox_TextChanged);
+      this.minTextBox.Validating += new System.ComponentModel.CancelEventHandler(this.TextBoxValidating);
+      this.minTextBox.Validated += new System.EventHandler(this.TextBoxValidated);
+      // 
+      // stepLabel
+      // 
+      this.stepLabel.AutoSize = true;
+      this.stepLabel.Location = new System.Drawing.Point(4, 99);
+      this.stepLabel.Name = "stepLabel";
+      this.stepLabel.Size = new System.Drawing.Size(29, 13);
+      this.stepLabel.TabIndex = 0;
+      this.stepLabel.Text = "Step";
+      // 
+      // maximumLabel
+      // 
+      this.maximumLabel.AutoSize = true;
+      this.maximumLabel.Location = new System.Drawing.Point(4, 73);
+      this.maximumLabel.Name = "maximumLabel";
+      this.maximumLabel.Size = new System.Drawing.Size(51, 13);
+      this.maximumLabel.TabIndex = 0;
+      this.maximumLabel.Text = "Maximum";
+      // 
+      // minimumLabel
+      // 
+      this.minimumLabel.AutoSize = true;
+      this.minimumLabel.Location = new System.Drawing.Point(4, 47);
+      this.minimumLabel.Name = "minimumLabel";
+      this.minimumLabel.Size = new System.Drawing.Size(48, 13);
+      this.minimumLabel.TabIndex = 0;
+      this.minimumLabel.Text = "Minimum";
+      // 
+      // errorProvider
+      // 
+      this.errorProvider.ContainerControl = this;
+      // 
+      // GoalSeekingParameterView
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Controls.Add(this.groupBox);
+      this.Name = "GoalSeekingParameterView";
+      this.Size = new System.Drawing.Size(204, 149);
+      this.groupBox.ResumeLayout(false);
+      this.groupBox.PerformLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).EndInit();
+      this.ResumeLayout(false);
+
+    }
+
+    #endregion
+
+    private System.Windows.Forms.GroupBox groupBox;
+    private System.Windows.Forms.CheckBox activeCheckBox;
+    private System.Windows.Forms.TextBox stepTextBox;
+    private System.Windows.Forms.TextBox maxTextBox;
+    private System.Windows.Forms.TextBox minTextBox;
+    private System.Windows.Forms.Label stepLabel;
+    private System.Windows.Forms.Label maximumLabel;
+    private System.Windows.Forms.Label minimumLabel;
+    private System.Windows.Forms.ErrorProvider errorProvider;
+    private System.Windows.Forms.TextBox valueTextBox;
+    private System.Windows.Forms.Label valueLabel;
+  }
+}
Index: /branches/HeuristicLab.GoalSeekingProblem/HeuristicLab.GoalSeekingProblem.Views/3.4/InputParameterView.cs
===================================================================
--- /branches/HeuristicLab.GoalSeekingProblem/HeuristicLab.GoalSeekingProblem.Views/3.4/InputParameterView.cs	(revision 14333)
+++ /branches/HeuristicLab.GoalSeekingProblem/HeuristicLab.GoalSeekingProblem.Views/3.4/InputParameterView.cs	(revision 14333)
@@ -0,0 +1,116 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.ComponentModel;
+using System.Globalization;
+using System.Windows.Forms;
+using HeuristicLab.MainForm;
+using HeuristicLab.MainForm.WindowsForms;
+
+namespace HeuristicLab.GoalSeeking.Views {
+  [View("GoalSeekingParameter View", "")]
+  [Content(typeof(InputParameter), true)]
+  public partial class GoalSeekingParameterView : AsynchronousContentView {
+    public new InputParameter Content {
+      get { return (InputParameter)base.Content; }
+      set { base.Content = value; }
+    }
+
+    public GoalSeekingParameterView() {
+      InitializeComponent();
+    }
+
+    protected override void OnContentChanged() {
+      base.OnContentChanged();
+      if (Content != null) {
+        groupBox.Text = Content.Name;
+        minTextBox.Text = Content.Min.ToString(CultureInfo.CurrentCulture);
+        maxTextBox.Text = Content.Max.ToString(CultureInfo.CurrentCulture);
+        stepTextBox.Text = Content.Step.ToString(CultureInfo.CurrentCulture);
+        valueTextBox.Text = Content.Value.ToString(CultureInfo.CurrentCulture);
+        activeCheckBox.Checked = Content.Active;
+        Content.Changed += Content_Changed;
+      }
+    }
+
+    private void Content_Changed(object sender, EventArgs args) {
+      groupBox.Text = Content.Name;
+      minTextBox.Text = Content.Min.ToString(CultureInfo.CurrentCulture);
+      maxTextBox.Text = Content.Max.ToString(CultureInfo.CurrentCulture);
+      stepTextBox.Text = Content.Step.ToString(CultureInfo.CurrentCulture);
+      valueTextBox.Text = Content.Value.ToString(CultureInfo.CurrentCulture);
+      activeCheckBox.Checked = Content.Active;
+    }
+
+    #region event handlers
+    private void TextBoxValidating(object sender, CancelEventArgs e) {
+      double v;
+      string errorMsg = "Could not parse the entered value. Please input a real number.";
+      var tb = (TextBox)sender;
+      if (!double.TryParse(tb.Text, out v)) {
+        e.Cancel = true;
+        tb.Select(0, tb.Text.Length);
+
+        // Set the ErrorProvider error with the text to display. 
+        this.errorProvider.SetError(tb, errorMsg);
+        errorProvider.BlinkStyle = ErrorBlinkStyle.NeverBlink;
+        errorProvider.SetIconPadding(tb, -20);
+      }
+    }
+
+    private void TextBoxValidated(object sender, EventArgs e) {
+      var tb = (TextBox)sender;
+      errorProvider.SetError(tb, string.Empty);
+    }
+    #endregion
+
+    private void minTextBox_TextChanged(object sender, EventArgs e) {
+      double min;
+      if (double.TryParse(minTextBox.Text, out min))
+        Content.Min = min;
+    }
+
+    private void maxTextBox_TextChanged(object sender, EventArgs e) {
+      double max;
+      if (double.TryParse(minTextBox.Text, out max))
+        Content.Max = max;
+    }
+
+    private void stepTextBox_TextChanged(object sender, EventArgs e) {
+      double step;
+      if (double.TryParse(minTextBox.Text, out step))
+        Content.Step = step;
+    }
+
+    private void valueTextBox_TextChanged(object sender, EventArgs e) {
+      double value;
+      if (double.TryParse(minTextBox.Text, out value))
+        Content.Value = value;
+    }
+
+    private void activeCheckBox_CheckedChanged(object sender, EventArgs e) {
+      Content.Active = activeCheckBox.Checked;
+      minTextBox.Enabled = maxTextBox.Enabled = stepTextBox.Enabled = Content.Active;
+      valueTextBox.Enabled = !Content.Active;
+    }
+  }
+}
